%define upstream_name    Dist-Zilla-PluginBundle-Author-RTHOMPSON
%define upstream_version 0.161990

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    RTHOMPSON's Dist::Zilla Configuration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Plugin::ArchiveRelease)
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::AutoVersion)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::CheckPrereqsIndexed)
BuildRequires: perl(Dist::Zilla::Plugin::CheckVersionIncrement)
BuildRequires: perl(Dist::Zilla::Plugin::ConfirmRelease)
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromBuild)
BuildRequires: perl(Dist::Zilla::Plugin::ExecDir)
BuildRequires: perl(Dist::Zilla::Plugin::ExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Check)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Commit)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Push)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Remote::Check)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Tag)
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta)
BuildRequires: perl(Dist::Zilla::Plugin::HasVersionTests)
BuildRequires: perl(Dist::Zilla::Plugin::InstallGuide)
BuildRequires: perl(Dist::Zilla::Plugin::License)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker)
BuildRequires: perl(Dist::Zilla::Plugin::Manifest)
BuildRequires: perl(Dist::Zilla::Plugin::ManifestSkip)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl)
BuildRequires: perl(Dist::Zilla::Plugin::NextRelease)
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::Prereqs)
BuildRequires: perl(Dist::Zilla::Plugin::PruneCruft)
BuildRequires: perl(Dist::Zilla::Plugin::PruneFiles)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeAnyFromPod) >= 0.142.180
BuildRequires: perl(Dist::Zilla::Plugin::ReportVersions)
BuildRequires: perl(Dist::Zilla::Plugin::ShareDir)
BuildRequires: perl(Dist::Zilla::Plugin::StaticVersion)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Kwalitee)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Perl::Critic)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Portability)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Synopsis)
BuildRequires: perl(Dist::Zilla::Plugin::Test::UnusedVars)
BuildRequires: perl(Dist::Zilla::Plugin::TestRelease)
BuildRequires: perl(Dist::Zilla::Plugin::UploadToCPAN)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Config::Slicer)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::PluginRemover)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(autodie)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(feature)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-PluginBundle-RTHOMPSON <= 0.120.160
Provides:   perl-Dist-Zilla-PluginBundle-RTHOMPSON

%description
This plugin bundle, in its default configuration, is equivalent to:

    [AutoVersion]
    major = 0
    [GatherDir]
    [PruneCruft]
    [ManifestSkip]
    [MetaYAML]
    [License]
    [ExecDir]
    [ShareDir]
    [MakeMaker]
    [Manifest]
    [PkgVersion]
    [PodWeaver]
    [InstallGuide]
    [ReadmeAnyFromPod / text.build ]
    filename = README
    type = text
    [ReadmeAnyFromPod / pod.root ]
    filename = README.pod
    type = pod
    location = root
    [CriticTests]
    [PodTests]
    [HasVersionTests]
    [PortabilityTests]
    [UnusedVarsTests]
    [CompileTests]
    skip = Test$
    [KwaliteeTests]
    [ExtraTests]
    [ReportVersions]
    [MinimumPerl]
    [AutoPrereqs]
    [CheckChangesHasContent]
    [NextRelease]
    [TestRelease]
    [ConfirmRelease]
    [UploadToCPAN]
    [ArchiveRelease]
    directory = releases
    [Git::Check]
    allow_dirty = dist.ini
    allow_dirty = README.pod
    allow_dirty = Changes
    [Git::Commit]
    allow_dirty = dist.ini
    allow_dirty = README.pod
    allow_dirty = Changes
    [Git::Tag]
    [GithubMeta]

There are several options that can change the default configuration, though.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test || true

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.161.990-5.mga10
+ Revision: 2203774
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.161.990-4.mga9
+ Revision: 1809161
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.161.990-3.mga8
+ Revision: 1504253
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.161.990-2.mga7
+ Revision: 1283364
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 shlomif <shlomif> 0.161.990-1.mga7
+ Revision: 1210585
- Fix spec
+ sander85 <sander85>
- update to 0.161990

* Sun Jun 19 2016 pterjan <pterjan> 0.160.630-2.mga6
+ Revision: 1025908
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.160.630-1.mga6
+ Revision: 1007614
- update to 0.160630

* Fri Feb 19 2016 umeabot <umeabot> 0.142.221-5.mga6
+ Revision: 970339
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.142.221-4.mga6
+ Revision: 885979
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 0.142.221-3.mga5
+ Revision: 747285
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 sander85 <sander85> 0.142.221-1.mga5
+ Revision: 661733
- update to 0.142221

* Fri Feb 07 2014 sander85 <sander85> 0.133.30-1.mga5
+ Revision: 585294
- update to 0.133030

* Mon Oct 21 2013 umeabot <umeabot> 0.132.801-2.mga4
+ Revision: 539967
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 sander85 <sander85> 0.132.801-1.mga4
+ Revision: 493109
- update to 0.132801

* Sun Jan 13 2013 umeabot <umeabot> 0.120.160-4.mga3
+ Revision: 366579
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 jquelin <jquelin> 0.120.160-3.mga3
+ Revision: 298705
- fixed wrong obsoletes/provides

* Mon Apr 30 2012 tmb <tmb> 0.120.160-2.mga2
+ Revision: 234402
- resubmit for missing packages

* Wed Jan 25 2012 jquelin <jquelin> 0.120.160-1.mga2
+ Revision: 201114
- update to 0.120160
- dist renamed upstream

* Mon Jan 09 2012 jquelin <jquelin> 0.120.52-1.mga2
+ Revision: 193843
- update to 0.120052

* Thu Jan 05 2012 jquelin <jquelin> 0.120.50-2.mga2
+ Revision: 191498
+ rebuild (emptylog)

* Thu Jan 05 2012 jquelin <jquelin> 0.120.50-1.mga2
+ Revision: 191489
- update to 0.120050
- update to 0.111290

* Thu Mar 17 2011 jquelin <jquelin> 0.103.532-1.mga1
+ Revision: 73080
- imported package perl-Dist-Zilla-PluginBundle-RTHOMPSON

